FUNCTION TEMPLA(3)

NAME
boost::algorithm::operator! - predicate negation operator

SYNOPSIS

// In header: <boost/algorithm/string/classification.hpp>
template<typename PredT>
  unspecified operator!(const predicate_facade< PredT > & Pred);

DESCRIPTION

Construct the class_not predicate. This predicate represents a negation. class_or holds if of the predicates return false.

Parameters:

    Pred
        The predicate to be negated

Returns:
    An instance of the class_not predicate